---
search:
  tags:
    - Organizations
    - PATCH
seo:
  description: >-
    Rename an organization. Reference for the PATCH /v1/organizations/{orgId}
    endpoint in the Stashtab Vault Warehouse API.
sidebar:
  label: Rename an organization
  badge: PATCH
title: Rename an organization
type: openapi-operation
---
`PATCH /v1/organizations/{orgId}`

**Request body** (`application/json`, required)

- `expectedName` (string, required)
- `name` (string, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "expectedName": "string",
  "name": "string",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "organization": {
      "id": "string",
      "name": "string",
      "role": "viewer",
      "slug": "string"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
